import { Observable } from 'rxjs';
import * as i0 from "@angular/core";
export interface UIState {
    isCollapsible?: boolean;
    isCollapsed?: boolean;
}
export declare class UiStateService {
    private _state$;
    constructor();
    get state$(): Observable<UIState>;
    get state(): UIState;
    setState(nextState: UIState): void;
    set isCollapsed(isActive: boolean);
    set isCollapsible(isActive: boolean);
    toggleCollapsed(): void;
    static ɵfac: i0.ɵɵFactoryDef<UiStateService, never>;
    static ɵprov: i0.ɵɵInjectableDef<UiStateService>;
}
